Bug 836010 - [abrt] shotwell-0.12.3-1.fc17: g_logv: Process /usr/bin/shotwell was killed by signal 5 (SIGTRAP)
[abrt] shotwell-0.12.3-1.fc17: g_logv: Process /usr/bin/shotwell was killed b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:e78393a50fd21a367c3ec6231a3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 16:03 EDT by Thomas
Modified: 2013-08-01 00:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (69.17 KB, text/plain)
2012-06-27 16:03 EDT, Thomas
no flags Details
File: maps (88.47 KB, text/plain)
2012-06-27 16:03 EDT, Thomas
no flags Details
File: dso_list (16.16 KB, text/plain)
2012-06-27 16:03 EDT, Thomas
no flags Details
File: build_ids (6.41 KB, text/plain)
2012-06-27 16:03 EDT, Thomas
no flags Details
File: open_fds (35.20 KB, text/plain)
2012-06-27 16:03 EDT, Thomas
no flags Details

  None (edit)
Description Thomas 2012-06-27 16:03:21 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell
crash_function: g_logv
executable:     /usr/bin/shotwell
kernel:         3.4.3-1.fc17.x86_64
pid:            10438
pwd:            /home/thomas
time:           Wed 27 Jun 2012 03:28:03 PM EDT
uid:            1000
username:       thomas
xsession_errors: ** (shotwell:10438): ERROR **: DatabaseTable.vala:92: add_photo: [14] unable to open database file

backtrace:      Text file, 70831 bytes
build_ids:      Text file, 6560 bytes
dso_list:       Text file, 16550 bytes
maps:           Text file, 90591 bytes
open_fds:       Text file, 36045 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/thomas/2

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e851 g_logv libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4e9e2 g_log libglib-2.0.so.0 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x8252d database_table_fatal [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x89b13 photo_table_add [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x1f2f57 library_photo_import_create [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x206c76 - [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x7f9da - [exe] -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:f8429f1909fce72071ee411de574b8b0f301b313 0x28cd9c application_start [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x1867d8 library_exec [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x187860 _vala_main [exe] -
:f8429f1909fce72071ee411de574b8b0f301b313 0x748f1 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=thomthom
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=785582f59f22b1b0035fcbd100000014-1340804012.352941-1703965587
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/thomas/keyring-dOvklQ
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=thomas
:MAIL=/var/spool/mail/thomas
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/thomas/.local/bin:/home/thomas/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/thomas
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1421
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/thomas
:SHLVL=1
:LOGNAME=thomas
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FKBLtJ6uY7,guid=cbea24c9d14350281d51250d00000038
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/thomas
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-thomas-q2yOuQ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1425,unix/unix:/tmp/.ICE-unix/1425
:GPG_AGENT_INFO=/run/user/thomas/keyring-dOvklQ/gpg:0:1
:SSH_AUTH_SOCK=/run/user/thomas/keyring-dOvklQ/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=10438

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 47586                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       47586                47586                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

smolt_data:
:
:
:General
:=================================
:UUID: 07a67944-cc6c-40cb-9eff-87f45d602796
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5319.84
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q6700  @ 2.66GHz
:CPU Stepping: 11
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 5969
:System Swap: 6142
:Vendor: Gateway
:System: DX4710-UB301A OEM
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10550:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(5138:5924:5315:5893) pci, snd_ice1724, MULTIMEDIA_AUDIO, VT1720/24 [Envy24PT/HT] PCI Multi-Channel Audio Controller
:(32902:10544:5681:57399) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10528:5681:57399) pci, ata_piix, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller
:(32902:10514:5681:57399) pci, None, PCI/ISA, 82801IH (ICH9DH) LPC Interface Controller
:(4318:4676:14402:5462) pci, nvidia, VIDEO, GF116 [GeForce GTX 550 Ti]
:(32902:10534:5681:57399) pci, ata_piix, STORAGE, 82801I (ICH9 Family) 2 port SATA IDE Controller
:(32902:10558:5681:57399) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10572:5681:57399) pci, e1000e, ETHERNET, 82566DC-2 Gigabit Network Connection
:(32902:10549:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9294:5681:57399) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10548:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10688:5681:57399) pci, None, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10556:5681:57399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(4318:3054:14402:5462) pci, snd_hda_intel, MULTIMEDIA, N/A
:(32902:10553:5681:57399) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:5681:57399) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10689:5681:57399) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb1 / ext4 4096 4096 9752014 6978444 6880812 2441216 2103956 2103956
:/dev/sdc1 WITHHELD fuseblk 4096 4096 156282367 16329493 16329493 65514580 65450199 65450199
:/dev/sdb2 /home ext4 4096 4096 8178916 5985095 5575124 2052176 1895335 1895335
:/dev/sdd1 WITHHELD vfat 4096 4096 1989964 1967936 1967936 0 0 0
:/dev/sda2 WITHHELD fuseblk 4096 4096 39046296 11198596 11198596 45122064 44925293 44925293
:

var_log_messages:
:Jun 27 15:28:03 thomthom kernel: [21326.742308] shotwell[10438] trap int3 ip:3efe44e851 sp:7fff59420f40 error:0
:Jun 27 15:28:17 thomthom abrt[18530]: Saved core dump of pid 10438 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-27-15:28:03-10438 (774561792 bytes)
Comment 1 Thomas 2012-06-27 16:03:25 EDT
Created attachment 594853 [details]
File: backtrace
Comment 2 Thomas 2012-06-27 16:03:27 EDT
Created attachment 594854 [details]
File: maps
Comment 3 Thomas 2012-06-27 16:03:29 EDT
Created attachment 594855 [details]
File: dso_list
Comment 4 Thomas 2012-06-27 16:03:30 EDT
Created attachment 594856 [details]
File: build_ids
Comment 5 Thomas 2012-06-27 16:03:32 EDT
Created attachment 594857 [details]
File: open_fds
Comment 6 Fedora End Of Life 2013-07-03 20:26:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 00:08:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.